<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

    <head>
    <title>OCClass class documentation</title>
  </head>
  <body>
    <font face="serif">
    <h1><a name="title$OCClass">OCClass class documentation</a></h1>
    <h3>Authors</h3>
    <dl>
      <dt>Generated by heron</dt>
      <dd>
      </dd>
    </dl>

        <div>
    </div>

          <h1><a name="001000000000">
        Software documentation for the OCClass class
      </a></h1>
    <h2><a name="class$OCClass">OCClass</a> : NSObject</h2>
    <blockquote class="declared">
      <dl>
        <dt><b>Declared in:</b></dt>
        <dd>GormObjCHeaderParser/OCClass.h</dd>
      </dl>
    </blockquote>
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <hr width="50%" align="left" />
    <a href="#_OCClass_ivars">Instance Variables</a>
    <br/><br/>
    <b>Method summary</b>
    <ul>
      <li><a rel="gsdoc" href="OCClass.html#method$OCClass-addIVar$isOutlet$">-addIVar:isOutlet:</a></li>
      <li><a rel="gsdoc" href="OCClass.html#method$OCClass-addMethod$isAction$">-addMethod:isAction:</a></li>
      <li><a rel="gsdoc" href="OCClass.html#method$OCClass-className">-className</a></li>
      <li><a rel="gsdoc" href="OCClass.html#method$OCClass-initWithString$">-initWithString:</a></li>
      <li><a rel="gsdoc" href="OCClass.html#method$OCClass-isCategory">-isCategory</a></li>
      <li><a rel="gsdoc" href="OCClass.html#method$OCClass-ivars">-ivars</a></li>
      <li><a rel="gsdoc" href="OCClass.html#method$OCClass-methods">-methods</a></li>
      <li><a rel="gsdoc" href="OCClass.html#method$OCClass-parse">-parse</a></li>
      <li><a rel="gsdoc" href="OCClass.html#method$OCClass-setClassName$">-setClassName:</a></li>
      <li><a rel="gsdoc" href="OCClass.html#method$OCClass-setIsCategory$">-setIsCategory:</a></li>
      <li><a rel="gsdoc" href="OCClass.html#method$OCClass-setSuperClassName$">-setSuperClassName:</a></li>
      <li><a rel="gsdoc" href="OCClass.html#method$OCClass-superClassName">-superClassName</a></li>
    </ul>
    <hr width="50%" align="left" />
<div class="method">
    <h3><a name="method$OCClass-addIVar$isOutlet$">addIVar:&nbsp;isOutlet:&nbsp;</a></h3>
    - (void) <b>addIVar:</b> (NSString*)name<b> isOutlet:</b> (BOOL)flag;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$OCClass-addMethod$isAction$">addMethod:&nbsp;isAction:&nbsp;</a></h3>
    - (void) <b>addMethod:</b> (NSString*)name<b> isAction:</b> (BOOL)flag;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$OCClass-className">className&nbsp;</a></h3>
    - (NSString*) <b>className</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$OCClass-initWithString$">initWithString:&nbsp;</a></h3>
    - (id) <b>initWithString:</b> (NSString*)string;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$OCClass-isCategory">isCategory&nbsp;</a></h3>
    - (BOOL) <b>isCategory</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$OCClass-ivars">ivars&nbsp;</a></h3>
    - (NSArray*) <b>ivars</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$OCClass-methods">methods&nbsp;</a></h3>
    - (NSArray*) <b>methods</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$OCClass-parse">parse&nbsp;</a></h3>
    - (void) <b>parse</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$OCClass-setClassName$">setClassName:&nbsp;</a></h3>
    - (void) <b>setClassName:</b> (NSString*)name;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$OCClass-setIsCategory$">setIsCategory:&nbsp;</a></h3>
    - (void) <b>setIsCategory:</b> (BOOL)flag;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$OCClass-setSuperClassName$">setSuperClassName:&nbsp;</a></h3>
    - (void) <b>setSuperClassName:</b> (NSString*)name;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$OCClass-superClassName">superClassName&nbsp;</a></h3>
    - (NSString*) <b>superClassName</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<a name="_OCClass_ivars"/>    <br/><hr width="50%" align="left" />
    <h2>Instance Variables for OCClass Class</h2>
    <h3><a name="ivariable$OCClass*className">className</a></h3>
    @protected NSString* <b>className</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$OCClass*classString">classString</a></h3>
    @protected NSString* <b>classString</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$OCClass*isCategory">isCategory</a></h3>
    @protected BOOL <b>isCategory</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$OCClass*ivars">ivars</a></h3>
    @protected NSMutableArray* <b>ivars</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$OCClass*methods">methods</a></h3>
    @protected NSMutableArray* <b>methods</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$OCClass*protocols">protocols</a></h3>
    @protected NSMutableArray* <b>protocols</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$OCClass*superClassName">superClassName</a></h3>
    @protected NSString* <b>superClassName</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <br/><hr width="50%" align="left" /><br/>
    <br />
    </font>
</body>
</html>
